import { user } from '@/stores/user'

export default {
  // inserted(el, binding) {
  //   const { value } = binding
  //   const role = user.roleName
  //   if (value && Array.isArray(value)) {
  //     if (value.length > 0) {
  //       if (!value.includes(role)) {
  //         el.parentNode && el.parentNode.removeChild(el);
  //       }
  //     }
  //   }
  // },

  inserted(el, binding) {
    const valueSec = "ZJ";
    const role = user.roleName;

    const { value } = binding;
    const permissonOne = Number(user.power.readonly);

    if (role == valueSec) {//如果是专家，直接隐藏
      if (value == 1) {//设置了只读
        el.parentNode && el.parentNode.removeChild(el);
      }
    } else {
      if (value == permissonOne) {
        el.parentNode && el.parentNode.removeChild(el);
      }
    }
  },

}
